/*
 File: eol.cpp
 Date and Time: Fri Jan 30 18:55:09 2015 
*/
#include "eol.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_eol;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 2;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
}
  Ceol::
  Ceol()
    :yacco2::CAbs_fsm
      ("eol.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,false
      ,"end-of-line recognizer --- Unix, Mac, and Microsoft supported styles."
      ,"Fri Jan 30 18:55:09 2015 "
      ,S1_Ceol){
    
  }
 
Ceol::~Ceol(){

  for(int x = 0;x < 2;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Ceol::failed(){
      return false;
  }
  void Ceol::op(){
}
int Ceol::rhs_to_rules_mapping_[5] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
}; 
Reol::Reol(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Reol",0,Ceol::R_Reol_,P,false,false){
}

void Reol::sr1(){
  
      CAbs_lr1_sym* sym = NS_yacco2_terminals::PTR_eol__;
      sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);     
      RSVP(sym);
    
}

Rdelimiters::Rdelimiters(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rdelimiters",0,Ceol::R_Rdelimiters_,P,false,false){
}

